Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

If copying multiple issues via the right click context menu, and there are custom fields, the content of the custom fields is lost in the

destination issues.

Instead, I would have expected that the custom fields would be marked with (No change) in the initial display, and then properly

copied per-issue.

Thank you.

 

Related issues:

Related to Redmine - Feature #10363: Allow to set blank value for date/text f... Closed

History

#1 - 2013-01-08 22:45 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works fine for me with 2.2. (no change) is selected by default and values are preserved.

#2 - 2013-01-08 22:46 - Jean-Philippe Lang

- Subject changed from If copying multiple issues via the right click context menu, and there are custom fields, the original content of the custom fields
is lost. to Custom fields lost when copying multiple issues

#3 - 2013-01-08 22:52 - w brown

- File MultiIssueCopy.docx added

Thank you for the quick response.

Just to be sure we're in sync, I've enclosed a screenshot. Note that the custom field TC Expected Result is empty. I would expect (No change) to

appear.  If this is the scenario you tested, I guess I'll pull down and install 2.2.0, even though I did not see any notes about this kind of issue in the

changelog.

#4 - 2013-01-09 09:19 - Etienne Massip

- Subject changed from Custom fields lost when copying multiple issues to Non-dictionary type custom field values lost when copying multiple issues

#5 - 2013-01-09 09:19 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next major release

Not tried by myself.

#6 - 2013-01-09 09:21 - Etienne Massip

- File bulk_copy_screen.png added

- Description updated

#7 - 2013-01-11 18:52 - Jean-Philippe Lang

- Status changed from Confirmed to New

I really can't reproduce with latest Redmine. The textarea is empty on the copy form indeed but the custom field value is actually preserved on the

copied issue.

This behaviour is implemented in source:/tags/2.2.1/app/controllers/issues_controller.rb#L420 (blank values in parameters are considered as "no

change" and are ignored).

#8 - 2013-01-12 15:01 - Etienne Massip

- Description updated

#9 - 2013-01-12 16:15 - Etienne Massip

I think that this issue is about user xp, I set status to Confirmed after seeing the screenshot, we understand that values are blanked.

Worse, the actual behavior also doesn't allow the user to erase the values of the text field (for example).

What would be the best explicit way to go? Add a No change checkbox before these fields, unchecking it would enable them for edition?

#10 - 2013-01-12 16:21 - Daniel Felix

I like the solution with those checkbox. There should be a dependencie. If the checkbox is selected, no input-field should be displayed and the input

field won't be respected in the save process.

If the checkbox is deselcted, the input field blinds in and could be edited.

#11 - 2013-01-12 18:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

I think we should close this one as Invalid as this is the currently expected behaviour. Checkboxes would be a better solution, a discussion about this

was started in #10363.

#12 - 2013-02-07 13:56 - Etienne Massip

- Target version deleted (Candidate for next major release)

Files

MultiIssueCopy.docx 93.7 KB 2013-01-08 w brown
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.2.1/app/controllers/issues_controller.rb#L420
https://www.redmine.org/issues/10363


bulk_copy_screen.png 62.7 KB 2013-01-09 Etienne Massip
